// -*- C++ -*-
/*!
 * @file  PublisherFlush.cpp
 * @brief PublisherFlush class
 * @date  $Date: 2007/01/06 18:00:38 $
 * @author Noriaki Ando <n-ando@aist.go.jp>
 *
 * Copyright (C) 2006
 *     Noriaki Ando
 *     Task-intelligence Research Group,
 *     Intelligent Systems Research Institute,
 *     National Institute of
 *         Advanced Industrial Science and Technology (AIST), Japan
 *     All rights reserved.
 *
 * $Id: PublisherFlush.cpp,v 1.2 2007/01/06 18:00:38 n-ando Exp $
 *
 */

/*
 * $Log: PublisherFlush.cpp,v $
 * Revision 1.2  2007/01/06 18:00:38  n-ando
 * Some trivial fixes.
 *
 * Revision 1.1  2006/11/27 09:44:46  n-ando
 * The first commitment.
 *
 */

#include <rtm/PublisherFlush.h>
#include <rtm/Properties.h>
#include <rtm/InPortConsumer.h>

namespace RTC
{
  /*!
   * @if jp
   * @brief 󥹥ȥ饯
   * @else
   * @brief Constructor
   * @endif
   */
  PublisherFlush::PublisherFlush(InPortConsumer* consumer,
				 const Properties& property)
    : m_consumer(consumer)
  {
  }

  PublisherFlush::~PublisherFlush()
  {
    delete m_consumer;
  }
  

  /*!
   * @if jp
   * @brief Observerؿ
   * @else
   * @brief Observer function
   * @endif
   */
  void PublisherFlush::update()
  {
    m_consumer->push();
    return;
  }
  
}; // namespace RTC
